import Vue from 'vue'
import Vuex from 'vuex'
import system from './system'
import building from './modules/building'
import appointment from './modules/appointment'
import activity from './modules/activity'
import img from './modules/img'
import customer from './modules/customer'
import apartment from './modules/apartment'

Vue.use(Vuex)

const store = new Vuex.Store({
  ...system,
  modules: {
    building,
    appointment,
    activity,
    img,
    customer,
    apartment
  }
})

export default store
