import { Message, MessageBox } from 'element-ui'

export const alert = message => Message({ showClose: true, message })
export const success = message => Message({ showClose: true, message, type: 'success' })
export const warning = message => Message({ showClose: true, message, type: 'warning' })
export const error = message => Message({ showClose: true, message, type: 'error' })

export const confirm = message => MessageBox.confirm(message, '提示', {
  confirmButtonText: '确定',
  cancelButtonText: '取消',
  type: 'warning'
})
